### YamlMime:ManagedReference
items:
- uid: adas_core.Logging.LogExecutionContext
  commentId: T:adas_core.Logging.LogExecutionContext
  id: LogExecutionContext
  parent: adas_core.Logging
  children:
  - adas_core.Logging.LogExecutionContext.TraceIdentifier
  - adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier(System.String,System.Boolean)
  langs:
  - csharp
  - vb
  name: LogExecutionContext
  nameWithType: LogExecutionContext
  fullName: adas_core.Logging.LogExecutionContext
  type: Class
  source:
    remote:
      path: adas-core/Logging/LogExecutionContext.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: LogExecutionContext
    path: ../../adas-core/Logging/LogExecutionContext.cs
    startLine: 10
  assemblies:
  - adas-core
  namespace: adas_core.Logging
  summary: Provides a static context for capturing and accessing logging information during the execution of an application.
  remarks: This class serves as a centralized holder for execution-scoped data that can be referenced by logging components throughout the application lifecycle.
  example: []
  syntax:
    content: public static class LogExecutionContext
    content.vb: Public Module LogExecutionContext
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: adas_core.Logging.LogExecutionContext.TraceIdentifier
  commentId: P:adas_core.Logging.LogExecutionContext.TraceIdentifier
  id: TraceIdentifier
  parent: adas_core.Logging.LogExecutionContext
  langs:
  - csharp
  - vb
  name: TraceIdentifier
  nameWithType: LogExecutionContext.TraceIdentifier
  fullName: adas_core.Logging.LogExecutionContext.TraceIdentifier
  type: Property
  source:
    remote:
      path: adas-core/Logging/LogExecutionContext.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TraceIdentifier
    path: ../../adas-core/Logging/LogExecutionContext.cs
    startLine: 14
  assemblies:
  - adas-core
  namespace: adas_core.Logging
  syntax:
    content: public static string? TraceIdentifier { get; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Shared ReadOnly Property TraceIdentifier As String
  overload: adas_core.Logging.LogExecutionContext.TraceIdentifier*
- uid: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier(System.String,System.Boolean)
  commentId: M:adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier(System.String,System.Boolean)
  id: TrySetTraceIdentifier(System.String,System.Boolean)
  parent: adas_core.Logging.LogExecutionContext
  langs:
  - csharp
  - vb
  name: TrySetTraceIdentifier(string, bool)
  nameWithType: LogExecutionContext.TrySetTraceIdentifier(string, bool)
  fullName: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier(string, bool)
  type: Method
  source:
    remote:
      path: adas-core/Logging/LogExecutionContext.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TrySetTraceIdentifier
    path: ../../adas-core/Logging/LogExecutionContext.cs
    startLine: 20
  assemblies:
  - adas-core
  namespace: adas_core.Logging
  example: []
  syntax:
    content: public static bool TrySetTraceIdentifier(string traceIdentifier, bool force = false)
    parameters:
    - id: traceIdentifier
      type: System.String
    - id: force
      type: System.Boolean
    return:
      type: System.Boolean
    content.vb: Public Shared Function TrySetTraceIdentifier(traceIdentifier As String, force As Boolean = False) As Boolean
  overload: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier*
  nameWithType.vb: LogExecutionContext.TrySetTraceIdentifier(String, Boolean)
  fullName.vb: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier(String, Boolean)
  name.vb: TrySetTraceIdentifier(String, Boolean)
references:
- uid: adas_core.Logging
  commentId: N:adas_core.Logging
  href: adas_core.html
  name: adas_core.Logging
  nameWithType: adas_core.Logging
  fullName: adas_core.Logging
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Logging
    name: Logging
    href: adas_core.Logging.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Logging
    name: Logging
    href: adas_core.Logging.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Logging.LogExecutionContext.TraceIdentifier*
  commentId: Overload:adas_core.Logging.LogExecutionContext.TraceIdentifier
  href: adas_core.Logging.LogExecutionContext.html#adas_core_Logging_LogExecutionContext_TraceIdentifier
  name: TraceIdentifier
  nameWithType: LogExecutionContext.TraceIdentifier
  fullName: adas_core.Logging.LogExecutionContext.TraceIdentifier
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier*
  commentId: Overload:adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier
  href: adas_core.Logging.LogExecutionContext.html#adas_core_Logging_LogExecutionContext_TrySetTraceIdentifier_System_String_System_Boolean_
  name: TrySetTraceIdentifier
  nameWithType: LogExecutionContext.TrySetTraceIdentifier
  fullName: adas_core.Logging.LogExecutionContext.TrySetTraceIdentifier
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
